name: ⭐ Hello non-Stargazers
on:
  issues:
    types: [opened]
jobs:
  check-user:
    if: ${{ github.event.comment.author_association != 'CONTRIBUTOR' }}
    runs-on: ubuntu-latest
    name: Add comment to issues opened by non-stargazers
    steps:
      - name: comment
        uses: qxip/please-star-light@v4
        with:
          token: ${{ secrets.BOT_GITHUB_TOKEN || secrets.GITHUB_TOKEN }}
          autoclose: false
          message: |
            If you're enjoying Awesome-Privacy, consider dropping us a ⭐<br>
            _<sub>🤖 I'm a bot, and this message was automated</sub>_
